##Testing file
import pyautogui as pag
from random import randint, uniform
import cv2
import numpy
import math
import time
import sys 

#Build a list of acceptable x and y locations and pass them to the moveto function
##how to do this without having to pass a sequence, because for some reason the library does not like them

location1x = 580
location1y = 1954

#Now add a little variance to the x and y coordinates
modifiedx = randint(0,35) + location1x
modifiedy = randint(0,35) + location1y

#Also add the chance to misclick
misclick = randint(0,10)

#20% Chance to misclick
if misclick <= 2:
    location1x = location1x + 50
    location1y = location1y + 50
    print('Misclick calculated')
else:
    print('Clicking Normally')

pag.moveTo(location1x, location1y, 0.70)
pag.click()
